package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmSepClrEmpForm extends HrmBaseForm {
  private String empNo;
  
  private String empNoId;
  
  private String tmplDesc;
  
  private String tmplDescId;
  
  private String butEmpNo;
  
  private String butTmplDesc;
  
  private String disabbutEmpNo;
  
  private String disabbutTmplDesc;
  
  private String[] txtClrDesc;
  
  private String[] txtClrDescId;
  
  private String[] txtCheckFlag;
  
  private String[] txtComment;
  
  private ArrayList arrHrmSepClrEmp;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmpNo() {
    return this.empNo;
  }
  
  public void setEmpNo(String newEmpNo) {
    this.empNo = newEmpNo;
  }
  
  public String getEmpNoId() {
    return this.empNoId;
  }
  
  public void setEmpNoId(String newEmpNoId) {
    this.empNoId = newEmpNoId;
  }
  
  public String getTmplDesc() {
    return this.tmplDesc;
  }
  
  public void setTmplDesc(String newTmplDesc) {
    this.tmplDesc = newTmplDesc;
  }
  
  public String getTmplDescId() {
    return this.tmplDescId;
  }
  
  public void setTmplDescId(String newTmplDescId) {
    this.tmplDescId = newTmplDescId;
  }
  
  public String getButEmpNo() {
    return this.butEmpNo;
  }
  
  public void setButEmpNo(String newButEmpNo) {
    this.butEmpNo = newButEmpNo;
  }
  
  public String getButTmplDesc() {
    return this.butTmplDesc;
  }
  
  public void setButTmplDesc(String newButTmplDesc) {
    this.butTmplDesc = newButTmplDesc;
  }
  
  public String getDisabbutEmpNo() {
    return this.disabbutEmpNo;
  }
  
  public void setDisabbutEmpNo(String newDisabbutEmpNo) {
    this.disabbutEmpNo = newDisabbutEmpNo;
  }
  
  public String getDisabbutTmplDesc() {
    return this.disabbutTmplDesc;
  }
  
  public void setDisabbutTmplDesc(String newDisabbutTmplDesc) {
    this.disabbutTmplDesc = newDisabbutTmplDesc;
  }
  
  public String[] getTxtClrDesc() {
    return this.txtClrDesc;
  }
  
  public void setTxtClrDesc(String[] newTxtClrDesc) {
    this.txtClrDesc = newTxtClrDesc;
  }
  
  public String[] getTxtClrDescId() {
    return this.txtClrDescId;
  }
  
  public void setTxtClrDescId(String[] newTxtClrDescId) {
    this.txtClrDescId = newTxtClrDescId;
  }
  
  public String[] getTxtCheckFlag() {
    return this.txtCheckFlag;
  }
  
  public void setTxtCheckFlag(String[] newTxtCheckFlag) {
    this.txtCheckFlag = newTxtCheckFlag;
  }
  
  public String[] getTxtComment() {
    return this.txtComment;
  }
  
  public void setTxtComment(String[] newTxtComment) {
    this.txtComment = newTxtComment;
  }
  
  public ArrayList getArrHrmSepClrEmp() {
    return this.arrHrmSepClrEmp;
  }
  
  public void setArrHrmSepClrEmp(ArrayList newArrHrmSepClrEmp) {
    this.arrHrmSepClrEmp = newArrHrmSepClrEmp;
  }
}
